mysql 5.7.9 php7 rc7 can't install

If you run tt-rss on an officially unsupported platform (shared hosting, Windows, etc.) post here
shabble
Bear Rating Trainee
Bear Rating Trainee
Posts: 33
Joined: 18 Mar 2013, 23:40

Re: mysql 5.7.9 php7 rc7 can't install

Postby shabble » 18 Nov 2015, 14:30


User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: mysql 5.7.9 php7 rc7 can't install

Postby fox » 18 Nov 2015, 14:35

well he mentioned old database, and posted an error which would be caused by this default value being present (there's no implicit setting last_updated to 0 in the subscribe-to-feed query)

anyway https://tt-rss.org/gitlab/fox/tt-rss/co ... 803641fbb4

ptsa
Bear Rating Trainee
Bear Rating Trainee
Posts: 26
Joined: 08 Jul 2015, 05:21

Re: mysql 5.7.9 php7 rc7 can't install

Postby ptsa » 18 Nov 2015, 14:48

sorry ,My English is very poor indeed
My English is translated by Google

mysql not rc ,it's ga

php7 is rc

Image
this problem

After the error
lock directory
update_daemon-xxxx.lock file has not been removed

My ability is not enough,I do not know how to debug
mybe is php7 bug?
I wait for him GA(2015-11-26)

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: mysql 5.7.9 php7 rc7 can't install

Postby fox » 18 Nov 2015, 14:55

try updating from git first which should hopefully solve your sql problem

as for php 5.7 i can only suggest using stable php versions

ptsa
Bear Rating Trainee
Bear Rating Trainee
Posts: 26
Joined: 08 Jul 2015, 05:21

Re: mysql 5.7.9 php7 rc7 can't install

Postby ptsa » 18 Nov 2015, 15:00


ptsa
Bear Rating Trainee
Bear Rating Trainee
Posts: 26
Joined: 08 Jul 2015, 05:21

Re: mysql 5.7.9 php7 rc7 can't install

Postby ptsa » 18 Nov 2015, 16:14

viewtopic.php?f=10&t=3376&start=30#p20113

I found my problem like this

maybe feed is the reason

how can Recording problem feed. than I can find it(Find out why,Delete or...)

They are ALL in(preferences>feeds>feeds with errors)?


Perhaps recorded log to (system>error log) can easily find the problem

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: mysql 5.7.9 php7 rc7 can't install

Postby fox » 18 Nov 2015, 17:01

other than looking at the log and waiting for the process to hang i'm afraid there's no easy way to see this

you can temporarily set max process limit to 1 or use non-forking update daemon (i.e. update.php --feeds) to see which feed is the problematic one

making this easier to debug is on the agenda but who know when that happens


Return to “Unsupported platforms”

Who is online

Users browsing this forum: No registered users and 2 guests